# Create a card allowlist

Creates an allowlist of cards for production testing on Apple or Google Pay before market launch with the payment service. You can include up to 100 cards in a single list using this endpoint.

Endpoint: POST /v1/tokenization_risk_controls/partner_tokenization_configurations
Version: 1.0

## Request fields (application/json):

  - `card_id` (array, required)
    An array containing a list of cards to be included in the allowlist.
    Example: ["8febdba4912a747808ccc6f95f82bmcrd"]

  - `token_requestor` (string, required)
    The token requestor.
    Enum: "APPLE", "GOOGLE", "SAMSUNG"

## Response 200 fields (application/json):

  - `uuid` (string)
    The unique ID of the created allowlist.
    Example: "8febdba4912a747808ccc6f95f82bb2b"

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.title` (string)
    Example: "Failed to build pagination headers."

  - `errors.status` (string)
    Example: "400"

  - `errors.id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `errors.detail` (string)
    Example: "Cannot connect to database."

  - `errors.code` (string)
    Example: "build_pagination_headers_failure"

## Response 401 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "401"

  - `code` (string)
    Example: "unauthorized_action"

  - `title` (string)
    Example: "Unauthorized Action"

  - `details` (string)
    Example: "Unauthorized action is not allowed."

## Response 403 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "403"

  - `code` (string)
    Example: "forbidden_action"

  - `title` (string)
    Example: "Forbidden Action"

  - `details` (string)
    Example: "Forbidden to perform this action."

## Response 404 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "404"

  - `code` (string)
    Example: "model_not_found"

  - `title` (string)
    Example: "Model Not Found"

  - `details` (string)
    Example: "Partner tokenization configuration for APPLE not found."


